UserChoice
POST
/v2/Common/UserChoiceUserChoice prompts the customer to select an option from a list displayed on the terminal screen. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Title*
stringChoiceOptions
ChoiceOptions*
stringTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/Common/UserChoice
1curl --location 'https://test.spinpos.net/v2/Common/UserChoice' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "Title": "",
6 "Tpn": "",
7 "RegisterId": "",
8 "Authkey": "",
9 "SPInProxyTimeout": "",
10 "ChoiceOptions": []
11}'
Response
// Awaiting response…
Sample response
{
"SelectedOption": "",
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
}
}